Bug 76132 - Request inclusion of C++ Boost library in redhat linux
Summary: Request inclusion of C++ Boost library in redhat linux
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libstdc++ (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://www.boost.org/
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-17 11:08 UTC by Alex Hornby
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-20 10:23:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alex Hornby 2002-10-17 11:08:02 UTC
As a C++ programmer I think that the Boost library would a a good candidate for 
inclusion.

Its particularly good at filling some of the holes in the C++ standard library, 
and is in written in part by some of the C++ standards group.

Its also cross platform, so I can use it without fear that I won't be able to 
run code on Windows.

Comment 1 Christopher Smith 2003-03-24 21:44:43 UTC
Let me double in on that. Boost gives me portable threads, a nice python
interface, a top-down parser, etc., etc.


Note You need to log in before you can comment on or make changes to this bug.